# DCM/DFA Reporting And Trafficking API . campaignCreativeAssociations

## Instance Methods

Associates a creative with the specified campaign. This method creates a default ad with dimensions matching the creative in the campaign if such a default ad does not exist already.

Retrieves the list of creative IDs associated with the specified campaign.

Retrieves the next page of results.

### Method Details

`insert(profileId, campaignId, body)`

    Associates a creative with the specified campaign. This method creates a default ad with dimensions matching the creative in the campaign if such a default ad does not exist already.

    Args:
      profileId: string, User profile ID associated with this request. (required)
      campaignId: string, Campaign ID in this association. (required)
      body: object, The request body. (required)
        The object takes the form of:

    { # Identifies a creative which has been associated with a given campaign.
        "creativeId": "A String", # ID of the creative associated with the campaign. This is a required field.
        "kind": "dfareporting#campaignCreativeAssociation", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#campaignCreativeAssociation".
      }

    Returns:
      An object of the form:

        { # Identifies a creative which has been associated with a given campaign.
          "creativeId": "A String", # ID of the creative associated with the campaign. This is a required field.
          "kind": "dfareporting#campaignCreativeAssociation", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#campaignCreativeAssociation".
        }

`list(profileId, campaignId, maxResults=None, pageToken=None, sortOrder=None)`

    Retrieves the list of creative IDs associated with the specified campaign.

    Args:
      profileId: string, User profile ID associated with this request. (required)
      campaignId: string, Campaign ID in this association. (required)
      maxResults: integer, Maximum number of results to return.
      pageToken: string, Value of the nextPageToken from the previous result page.
      sortOrder: string, Order of sorted results, default is ASCENDING.
        Allowed values
          ASCENDING -
          DESCENDING -

    Returns:
      An object of the form:

        { # Campaign Creative Association List Response
        "nextPageToken": "A String", # Pagination token to be used for the next list operation.
        "campaignCreativeAssociations": [ # Campaign creative association collection
          { # Identifies a creative which has been associated with a given campaign.
              "creativeId": "A String", # ID of the creative associated with the campaign. This is a required field.
              "kind": "dfareporting#campaignCreativeAssociation", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#campaignCreativeAssociation".
            },
        ],
        "kind": "dfareporting#campaignCreativeAssociationsListResponse", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#campaignCreativeAssociationsListResponse".
      }

`list_next(previous_request, previous_response)`

    Retrieves the next page of results.

    Args:
      previous_request: The request for the previous page. (required)
      previous_response: The response from the request for the previous page. (required)

    Returns:
      A request object that you can call 'execute()' on to request the next
      page. Returns None if there are no more items in the collection.